# Class CIM_RoutingProtocolDomainInAS
extends CIM_ContainedDomain

This assocation connects an AutonomousSystem to the routing domains that it contains.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_ContainedDomain
|
+--CIM_RoutingProtocolDomainInAS

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | This assocation connects an AutonomousSystem to the routing domains that it contains.
UMLPackagePath | string | CIM::Network::RoutingForwarding
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_RoutingProtocolDomainInAS | CIM_AutonomousSystem
PartComponent | CIM_RoutingProtocolDomainInAS | CIM_RoutingProtocolDomain

## Class Methods